import { notFound } from "next/navigation"

import { env } from "@/env/server"

import styles from "./layout.module.css"

import { LangParams, LayoutArgs } from "@/types/params"

export default function HotelReservationLayout({
  children,
  modal,
}: React.PropsWithChildren<
  LayoutArgs<LangParams> & { modal: React.ReactNode }
>) {
  if (env.HIDE_FOR_NEXT_RELEASE) {
    return notFound()
  }
  return (
    <div className={styles.layout}>
      {children}
      {modal}
    </div>
  )
}
